.new-section {
    padding: var(--space-xl) 0 var(--space-sm) 0;
    background: var(--clr-light);
    direction: rtl;
    width: 100%;
}

.new-section-with-background {
    width: 100%;
    padding: var(--space-xl) 0 var(--space-sm) 0;
    position: relative;
}

.new-section-with-background::after {
    content: "";
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .45);
}

.section-elements-gap {
    display: flex;
    flex-direction: column;
    gap: var(--space-xl);
}

.inner-section-gap {
    display: flex;
    flex-direction: column;
    gap: var(--space-md);
}

.section__header {
    text-align: center;
    z-index: 10;
}

.title {
    font-size: clamp(1.8rem, 4vw, 3rem);
    font-weight: 900;
    z-index: 10;

}

.section__title {

    color: var(--clr-light);
}

.dark-section__title {
    color: var(--clr-dark);
}

.title .text-primary {
    color: var(--clr-primary);
}

.section__subtitle {
    font-size: var(--fs-md);
    color: var(--clr-gray-text);
    max-width: 700px;
    margin: 0 auto;
    line-height: 1.6;
}